## ubuntu-defaults-builder 0.1

=== Makefile ===
default:

check:
	test/run -v

install:
	install -d $(DESTDIR)/usr/bin $(DESTDIR)/usr/share/ubuntu-defaults-builder $(DESTDIR)/usr/share/debhelper/autoscripts/ $(DESTDIR)/usr/share/doc/ubuntu-defaults-builder/examples
	install -m 755 bin/* $(DESTDIR)/usr/bin/
	install -m 644 debhelper-scripts/* $(DESTDIR)/usr/share/debhelper/autoscripts/
	cp -r template $(DESTDIR)/usr/share/ubuntu-defaults-builder/
	install -m 755 test/make-example $(DESTDIR)/usr/share/doc/ubuntu-defaults-builder/examples/
	install -m 644 test/test.jpg $(DESTDIR)/usr/share/doc/ubuntu-defaults-builder/examples/

.PHONY: check install default clean distclean

=== debian/changelog ===
ubuntu-defaults-builder (0.1) oneiric; urgency=low

  * Initial release, still incomplete. See blueprint for details:
    https://blueprints.launchpad.net/ubuntu/+spec/desktop-o-cd-localization

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 21 Jun 2011 13:08:06 +0200

=== debian/control ===
Source: ubuntu-defaults-builder
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.2

Package: ubuntu-defaults-builder
Architecture: all
Depends: ${misc:Depends}, 
 ${perl:Depends},
 dpkg-dev,
 debhelper (>= 7.0.50~)
Description: create Ubuntu customization packages
 This tool allows you to create a "defaults" package for Ubuntu for creating a
 customized Ubuntu image. The "ubuntu-defaults-template" script will generate
 a source package with the customizable settings (e. g. desktop/background.jpg
 and firefox/bookmarks-menu.txt). When built and installed, it will take the
 necessary actions to modify the system-wide defaults for desktops, programs,
 etc.
 .
 The main purpose for this is to provide a standard and safe way to create
 localized Ubuntu images, or OEM custom projects.
 .
 You can customize the following settings:
 .
  * Firefox start page, default search engine, and bookmarks
  * Unity/Unity 2D launchers
  * Desktop background (for GNOME right now)
  * Default radio stations in Rhythmbox and Banshee
  * Extra dependencies (Depends: and Recommends:), i. e. packages that are
    installed by default on the customized image

## ubuntu-defaults-builder 0.2

=== Makefile ===
default:

check:
	test/run -v

install:
	install -d $(DESTDIR)/usr/bin $(DESTDIR)/usr/share/ubuntu-defaults-builder $(DESTDIR)/usr/share/debhelper/autoscripts/ $(DESTDIR)/usr/share/doc/ubuntu-defaults-builder/examples $(DESTDIR)/usr/share/man/man1
	install -m 755 bin/* $(DESTDIR)/usr/bin/
	install -m 644 debhelper-scripts/* $(DESTDIR)/usr/share/debhelper/autoscripts/
	cp -r template $(DESTDIR)/usr/share/ubuntu-defaults-builder/
	install -m 755 test/make-example $(DESTDIR)/usr/share/doc/ubuntu-defaults-builder/examples/
	install -m 644 test/test.jpg $(DESTDIR)/usr/share/doc/ubuntu-defaults-builder/examples/
	
	install -m 644 man/*.1 $(DESTDIR)/usr/share/man/man1/
	pod2man -c Debhelper bin/dh_ubuntu_defaults $(DESTDIR)/usr/share/man/man1/dh_ubuntu_defaults.1

.PHONY: check install default clean distclean

=== debian/changelog ===
ubuntu-defaults-builder (0.2) oneiric; urgency=low

  * bin/dh_ubuntu_defaults: Fix license in POD.
  * debian/control: Add missing python3 build dependency (for the test suite).
  * bin/dh_ubuntu_defaults: Add actual POD documentation.
  * Makefile: Build and install dh_ubuntu_defaults manpage from POD.
  * Add man/ubuntu-defaults-template.1, install it in Makefile.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 22 Jun 2011 17:04:15 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: devel
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 7.0.50~)
+Build-Depends: debhelper (>= 7.0.50~),
+ python3
 Standards-Version: 3.9.2
 
 Package: ubuntu-defaults-builder
@@ -12,10 +13,10 @@
  dpkg-dev,
  debhelper (>= 7.0.50~)
 Description: create Ubuntu customization packages
- This tool allows you to create a "defaults" package for Ubuntu for creating a
- customized Ubuntu image. The "ubuntu-defaults-template" script will generate
- a source package with the customizable settings (e. g. desktop/background.jpg
- and firefox/bookmarks-menu.txt). When built and installed, it will take the
+ This tool allows you to create a "default settings" package for Ubuntu. The
+ "ubuntu-defaults-template" script will generate a source package with the
+ customizable settings (e. g.  desktop/background.jpg and
+ firefox/bookmarks-menu.txt). When built and installed, it will take the
  necessary actions to modify the system-wide defaults for desktops, programs,
  etc.
  .

=== template/debian/control ===
Source: #PKGNAME#
Section: metapackages
Priority: optional
Maintainer: #MAINTAINER#
Build-Depends: debhelper (>= 7.0.50~),
 ubuntu-defaults-builder
Standards-Version: 3.9.2

Package: #PKGNAME#
Architecture: all
Depends: ${misc:Depends},
 ${ubuntudefaults:Depends}
Recommends: ${ubuntudefaults:Recommends}
Provides: ubuntu-default-settings
Conflicts: ubuntu-default-settings
Description: Default settings for Ubuntu customizations
 This package contains customized default settings.

## ubuntu-defaults-builder 0.3

=== debian/changelog ===
ubuntu-defaults-builder (0.3) oneiric; urgency=low

  * debian/rules: Run tests with NO_PKG_MANGLE, to avoid test failures/FTBFS
    on the buildds.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 22 Jun 2011 17:59:59 +0200

## ubuntu-defaults-builder 0.4

=== debian/changelog ===
ubuntu-defaults-builder (0.4) oneiric; urgency=low

  * debian/control: Add lintian and unity-common build dependencies. Third
    time is the charm!

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 23 Jun 2011 10:05:35 +0200

## ubuntu-defaults-builder 0.5

=== debian/changelog ===
ubuntu-defaults-builder (0.5) oneiric; urgency=low

  * Provide a banshee symlink for the initial radio stations. This requires
    Banshee >= 2.1.0-1ubuntu3.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 24 Jun 2011 15:44:41 +0200

## ubuntu-defaults-builder 0.6

=== debian/changelog ===
ubuntu-defaults-builder (0.6) oneiric; urgency=low

  * Implement support for i18n/langpacks.txt and i18n/locale.txt.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 28 Jun 2011 10:39:39 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,9 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~),
- python3
+ python3,
+ unity-common,
+ lintian
 Standards-Version: 3.9.2
 
 Package: ubuntu-defaults-builder
@@ -11,7 +13,8 @@
 Depends: ${misc:Depends}, 
  ${perl:Depends},
  dpkg-dev,
- debhelper (>= 7.0.50~)
+ debhelper (>= 7.0.50~),
+Recommends: unity-common
 Description: create Ubuntu customization packages
  This tool allows you to create a "default settings" package for Ubuntu. The
  "ubuntu-defaults-template" script will generate a source package with the

## ubuntu-defaults-builder 0.7

=== debian/changelog ===
ubuntu-defaults-builder (0.7) oneiric; urgency=low

  * Rename firefox/ to webbrowser/ in the template, as eventually this should
    also apply to Chromium and other browsers.
  * Implement support for i18n/keyboard.txt, including checking that the
    layout and variant is valid (in /usr/share/X11/xkb/rules/xorg.lst). Add
    xkb-data dependency for this.
  * template/: Update documentation to more clearly point out that the
    "Format:" bit is not part of the format.
  * Implement support for webbrowser/offline-startpage.txt.
  * Implement support for "@clear" command in unity/launchers.txt to replace
    default launchers instead of being appended to them.
  * Implement support for macros in templates, and provide
    ${distro_release_number} and ${distro_release_name}. Add lsb-release
    dependency for this.
  * Implement support for specifying a package name in unity/launchers.txt as
    the second field. This will be added to the dependencies, just like in
    depends.txt.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 11 Jul 2011 09:49:00 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends: debhelper (>= 7.0.50~),
  python3,
  unity-common,
+ xkb-data,
  lintian
 Standards-Version: 3.9.2
 
@@ -13,13 +14,15 @@
 Depends: ${misc:Depends}, 
  ${perl:Depends},
  dpkg-dev,
+ xkb-data,
  debhelper (>= 7.0.50~),
+ lsb-release
 Recommends: unity-common
 Description: create Ubuntu customization packages
  This tool allows you to create a "default settings" package for Ubuntu. The
  "ubuntu-defaults-template" script will generate a source package with the
  customizable settings (e. g.  desktop/background.jpg and
- firefox/bookmarks-menu.txt). When built and installed, it will take the
+ webbrowser/bookmarks-menu.txt). When built and installed, it will take the
  necessary actions to modify the system-wide defaults for desktops, programs,
  etc.
  .
@@ -28,10 +31,13 @@
  .
  You can customize the following settings:
  .
-  * Firefox start page, default search engine, and bookmarks
+  * Web browser start page, default search engine, and bookmarks (supports
+    Firefox right now)
   * Unity/Unity 2D launchers
   * Desktop background (for GNOME right now)
   * Default radio stations in Rhythmbox and Banshee
   * Extra dependencies (Depends: and Recommends:), i. e. packages that are
     installed by default on the customized image
+  * Internationalization (default locale, keyboard layout, language support)
+    (only for built images, not configured by the defaults package itself)

## ubuntu-defaults-builder 0.8

=== debian/changelog ===
ubuntu-defaults-builder (0.8) oneiric; urgency=low

  * debian/control: Add lsb-release as build dependency as well, for the test
    suite.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 11 Jul 2011 10:02:35 +0200

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
  python3,
  unity-common,
  xkb-data,
+ lsb-release,
  lintian
 Standards-Version: 3.9.2

## ubuntu-defaults-builder 0.23

=== debian/changelog ===
ubuntu-defaults-builder (0.23) oneiric; urgency=low

  * debhelper-scripts/postinst-ubuntu-defaults-desktop-session: Use
    /usr/lib/lightdm/lightdm-set-defaults to also change the default session
    if /etc/lightdm/lightdm.conf already exists (which is the case in oneiric
    final). (LP: #869546)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 12 Oct 2011 07:16:37 +0200

ubuntu-defaults-builder (0.22) oneiric; urgency=low

  * bin/dh_ubuntu_defaults: Firefox now provides a non-versioned path for
    distribution.ini, use that. This avoids breaking the defaults packages
    with every major Firefox release.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 27 Sep 2011 13:03:40 +0200

ubuntu-defaults-builder (0.21) oneiric; urgency=low

  * template/debian/copyright: Rename Name to Upstream-Name and Maintainer
    to Upstream-Contact, to match the current DEP-5 specification which
    lintian now checks.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 14 Sep 2011 03:21:18 +0100

ubuntu-defaults-builder (0.20) oneiric; urgency=low

  * bin/ubuntu-defaults-image: Make sure all our dependencies (which are
    Recommends of our package) are installed.  This is a bit dubious
    long-term, but seems to be needed to make autobuilds reliable.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 14 Sep 2011 02:08:12 +0100

ubuntu-defaults-builder (0.19) oneiric; urgency=low

  * debian/control: Recommend genisoimage and syslinux (for isohybrid) too,
    since ubuntu-defaults-image builds a hybrid ISO image by default.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 01 Sep 2011 17:05:01 +0100

ubuntu-defaults-builder (0.18) oneiric; urgency=low

  * debian/control: Recommend memtest86+, since live-build copies it from
    the build system by default (and we want it to).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 31 Aug 2011 15:14:39 +0100

ubuntu-defaults-builder (0.17) oneiric; urgency=low

  * bin/ubuntu-defaults-image: Set SUDO=env if running as root, so that
    variable assignments after $SUDO are parsed in a regular way.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 31 Aug 2011 13:18:27 +0100

ubuntu-defaults-builder (0.16) oneiric; urgency=low

  * bin/ubuntu-defaults-image: Don't use sudo if we're already running as
    root.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 31 Aug 2011 10:11:52 +0100

ubuntu-defaults-builder (0.15) oneiric; urgency=low

  * lib/language-support-hook: Ensure that cat'ing langpacks.txt ends with a
    newline, so that the read command does not miss the last line. Fixes image
    building for zh_CN to actually get full language support.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 29 Aug 2011 17:24:27 +0200

ubuntu-defaults-builder (0.14) oneiric; urgency=low

  * bin/ubuntu-defaults-image: Fix variable quoting in hook for setting
    default language, and ensure that the language ends with a newline.
  * bin/dh_ubuntu_defaults: Ensure that language.txt ends in a newline, so
    that we can remove above hack once the Chinese defaults package is
    rebuilt. Update test cases accordingly.
  * bin/ubuntu-defaults-image: Remove apt indexes and package caches, similar
    to livecd.sh.
  * bin/ubuntu-defaults-image: Prefix our chroot hooks with numbers, so that
    they sort in a more logical order, and also run before
    all_chroot_pyc-purge.sh. This ensures that the latter also removes *.pyc
    files which were generated due to calling Python packages in other hooks.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 29 Aug 2011 15:52:59 +0200

ubuntu-defaults-builder (0.13) oneiric; urgency=low

  * bin/dh_ubuntu_defaults: Don't put garbage into the binary package if
    icons/ does not exist.
  * bin/dh_ubuntu_defaults: Move to /usr/lib/firefox-7.0/.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sat, 20 Aug 2011 17:21:54 +0200

ubuntu-defaults-builder (0.12) oneiric; urgency=low

  * debian/control: Add recommends to gfxboot-theme-ubuntu and
    syslinux-themes-ubuntu.
  * bin/ubuntu-defaults-image: Rename kernel and initrd in /casper/ to what
    syslinux expects. Leave LB_INITRAMFS_COMPRESSION as "gzip" and re-compress
    initramfs to lzma in a local hook to work around Debian #637979.
  * Rename template/i18n/locale.txt to template/i18n/language.txt and update
    documentation and test cases. This sets the pre-selected language in
    gfxboot, not a full locale.
  * bin/ubuntu-defaults-image: Set default language in the image's
    /isolinux/lang file.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 16 Aug 2011 14:28:39 +0200

ubuntu-defaults-builder (0.11) oneiric; urgency=low

  * Implement support for setting the default desktop session in LightDM and
    gdm.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 11 Aug 2011 16:46:53 +0200

ubuntu-defaults-builder (0.10) oneiric; urgency=low

  * Add default applications support:
    - bin/dh_ubuntu_defaults and template/desktop/default-applications.txt
      for the logic and the default override file
    - corresponding test is in test/run
    - man/ubuntu-defaults-template.1 for documenting the functionality
    - add desktop-file-utils build-dep and dep to retrieve the system defaults

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 22 Jul 2011 16:11:00 +0200

ubuntu-defaults-builder (0.9) oneiric; urgency=low

  [ Colin Watson ]
  * bin/ubuntu-defaults-image: Add first cut at an image building tool.

  [ Martin Pitt ]
  * Implement support for installing desktop/*.desktop. Particularly useful
    for creating web launchers.
  * test/make-example: Install example desktop files.
  * man/ubuntu-defaults-template.1, template/unity/launchers.txt: Remove
    documentation for @clear. It's not supposed to be used for Loco images.
  * template/depends.txt, test/run: Drop texlive-lang-german example, it's
    quite big.
  * debhelper-scripts/postinst-ubuntu2d-launchers: Ensure that ubuntu-2d
    target directory exists, which might not be the case during bootstrapping.


=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
  unity-common,
  xkb-data,
  lsb-release,
- lintian
+ lintian,
+ desktop-file-utils,
 Standards-Version: 3.9.2
 
 Package: ubuntu-defaults-builder
@@ -17,8 +18,16 @@
  dpkg-dev,
  xkb-data,
  debhelper (>= 7.0.50~),
- lsb-release
-Recommends: unity-common
+ lsb-release,
+ unity-common,
+ livecd-rootfs (>= 2.15),
+ desktop-file-utils,
+Recommends:
+ syslinux-themes-ubuntu,
+ gfxboot-theme-ubuntu,
+ memtest86+,
+ genisoimage,
+ syslinux,
 Description: create Ubuntu customization packages
  This tool allows you to create a "default settings" package for Ubuntu. The
  "ubuntu-defaults-template" script will generate a source package with the
@@ -36,6 +45,7 @@
     Firefox right now)
   * Unity/Unity 2D launchers
   * Desktop background (for GNOME right now)
+  * Default desktop session in LightDM/gdm
   * Default radio stations in Rhythmbox and Banshee
   * Extra dependencies (Depends: and Recommends:), i. e. packages that are
     installed by default on the customized image

## ubuntu-defaults-builder 0.30

=== debian/changelog ===
ubuntu-defaults-builder (0.30) precise; urgency=low

  * bin/dh_ubuntu_defaults: Add (undocumented) --disable-restrictions option.
    (LP: #971994)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 03 Apr 2012 09:28:22 +0200

ubuntu-defaults-builder (0.29) precise; urgency=low

  * bin/dh_ubuntu_defaults: Fix unintentional closure binding of $tmp in
    icons ("Variable "$tmp" will not stay shared"), which resulted in icons
    only being considered for the first package.
  * bin/dh_ubuntu_defaults: Consider *.jpeg files as icons (previously
    typoed as *.jepg).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 02 Apr 2012 15:29:50 +0100

ubuntu-defaults-builder (0.28) precise; urgency=low

  * bin/ubuntu-defaults-image: Add --keep-apt-components option, so that
    projects can choose to compromise between e. g. keeping the apt indexes
    for main to keep apport etc. working, and dropping for universe to reduce
    image size. (LP: #958573)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 23 Mar 2012 11:44:27 +0100

ubuntu-defaults-builder (0.27) precise; urgency=low

  * test/make-example: Call the package "defaults-builder-test", with the
    recent "restrict Ubuntu customizations" change we can't call the package
    "ubuntu-defaults-test" any more. (LP: #957044)
  * bin/ubuntu-defaults-image: With --keep-apt, remove the translations. They
    take a lot of space, and most apt operations will work fine without them.
    (LP: #956894)
  * bin/dh_ubuntu_defaults: Update distribution.ini path to where Firefox puts
    the file these days. (LP: #956899)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 16 Mar 2012 17:04:14 +0100

ubuntu-defaults-builder (0.26) precise; urgency=low

  * bin/dh_ubuntu_defaults: Update to current Rhythmbox' radio plugin data
    location. Update test case accordingly. Thanks Paolo Sammicheli!
    (LP: #955473)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 15 Mar 2012 07:53:54 +0100

ubuntu-defaults-builder (0.25) precise; urgency=low

  * bin/ubuntu-defaults-image: Fix getopt call for new --keep-apt, thanks
    Paolo Sammicheli! (LP: #954501)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 14 Mar 2012 07:35:56 +0100

ubuntu-defaults-builder (0.24) precise; urgency=low

  * debian/copyright, template/debian/copyright: Update to copyright format
    1.0.
  * debian/control, template/debian/control: Bump Standards-Version to 3.9.3.
  * Drop support for webbrowser/offline-startpage.txt, as this is not actually
    configurable in Firefox, and we do not support other browsers at the
    moment. (LP: #950097)
  * bin/ubuntu-defaults-image: Explicitly set LB_SYSLINUX_THEME, to not rely
    on live-build's static default (which is "ubuntu-oneiric" right now).
    (LP: #910859)
  * bin/ubuntu-defaults-image, man/ubuntu-defaults-image.1: Add --keep-apt
    option to not clean up /var/lib/apt/lists/*_Packages from the live system.
    This will significantly enlarge the resulting ISO image, but will make
    package related operations work without an initial "apt-get update" run.
    (LP: #942180)
  * template/desktop/default-{session,applications}.txt,
    template/webbrowser/searchengine.txt: Add comments that these files may
    not be changed for Ubuntu localizations, only for derivatives and OEM
    projects.
  * test/run: Change package name to "defaults-test", as with
    "ubuntu-defaults-test" we are going to fail for some customizations.
  * bin/dh_ubuntu_defaults: Check if template file has a "NotUbuntu:" tag, and
    if so, disallow changing defaults if the package name starts with
    "ubuntu-". (LP: #881371)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 12 Mar 2012 15:03:23 +0100

## ubuntu-defaults-builder 0.31~ja1

=== debian/changelog ===
ubuntu-defaults-builder (0.31~ja1) precise; urgency=low

  * lib/language-support-hook: add protection against removal of packages 
    depended by defaults package.

 -- Jun Kobayashi <jkbys@ubuntu.com>  Sat, 21 Apr 2012 04:55:10 +0900

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  lsb-release,
  lintian,
  desktop-file-utils,
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 
 Package: ubuntu-defaults-builder
 Architecture: all

=== template/debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: #MAINTAINER#
 Build-Depends: debhelper (>= 7.0.50~),
  ubuntu-defaults-builder
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 
 Package: #PKGNAME#
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh "$@"

override_dh_auto_test:
	NO_PKG_MANGLE=1 dh_auto_test

## ubuntu-defaults-builder 0.31.2

=== debian/changelog ===
ubuntu-defaults-builder (0.31.2) precise-proposed; urgency=low

  * bin/ubuntu-defaults-image: If a *.efi.signed kernel image is present,
    copy it to binary/casper/vmlinuz.efi (LP: #1075181).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 12 Nov 2012 17:23:31 +0000

ubuntu-defaults-builder (0.31.1) precise-proposed; urgency=low

  * bin/ubuntu-defaults-image: Pass LB_ARCHITECTURES as well, to fix --arch.
    Thanks Nobuto MURATA for the patch! (LP: #1016121)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sat, 06 Oct 2012 19:12:40 +0200

ubuntu-defaults-builder (0.31) precise-proposed; urgency=low

  * bin/ubuntu-defaults-image: Add some logging to hooks.
  * lib/language-support-hook: Do not remove language support packages for
    requested languages. Some language support packages are needed by
    several languages (most notably poppler-data), so we must not remove
    those, otherwise we will also remove reverse dependencies. E. g. 
    ubuntu-defaults-zh-cn depends on poppler-data, which we removed before as
    poppler-data is _also_ a support package for -pt and -en.  (LP: #988836)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 26 Apr 2012 15:35:02 +0200

## ubuntu-defaults-builder 0.44

=== debian/changelog ===
ubuntu-defaults-builder (0.44) quantal; urgency=low

  * Revert binary/casper/vmlinuz to the unsigned kernel, and put the signed
    kernel in binary/casper/vmlinuz.efi.signed instead (LP: #1067659).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 17 Oct 2012 11:50:23 +0100

ubuntu-defaults-builder (0.43) quantal; urgency=low

  * bin/ubuntu-defaults-image: Since *.efi.signed images are bootable on
    BIOS systems too, prefer them over the unsigned versions if they exist.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 11 Oct 2012 02:14:52 +0100

ubuntu-defaults-builder (0.42) quantal; urgency=low

  * bin/ubuntu-defaults-image: Don't fail to rename the kernel to vmlinuz if
    a *.efi.signed image is present.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 11 Oct 2012 01:47:11 +0100

ubuntu-defaults-builder (0.41) quantal; urgency=low

  * bin/dh_ubuntu_defaults: Add application:// prefix to custom launchers, as
    current Unity does. Update test_unity() in test/run accordingly.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 25 Sep 2012 13:41:44 +0200

ubuntu-defaults-builder (0.40) quantal; urgency=low

  * bin/ubuntu-defaults-image: Install syslinux-themes-ubuntu-$SUITE, to
    ensure the theme for the target release is available, and to fail early if
    it is not. Thanks Nobuto MURATA! (LP: #1053021)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 20 Sep 2012 08:20:21 +0200

ubuntu-defaults-builder (0.39) quantal; urgency=low

  * bin/ubuntu-defaults-image: Add --mirror/--security-mirror option for
    faster local building. These do _not_ set the mirror in the target apt (as
    of now). Thanks Nobuto MURATA! (LP: #998271)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 20 Sep 2012 06:09:11 +0200

ubuntu-defaults-builder (0.38) quantal; urgency=low

  * bin/ubuntu-defaults-image: Pass LB_ARCHITECTURES as well, to fix --arch.
    Thanks Nobuto MURATA for the patch! (LP: #1016121)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 17 Sep 2012 16:34:08 +0200

ubuntu-defaults-builder (0.37) quantal; urgency=low

  * lib/language-support-hook: Fix handling of "complete" lines. Thanks Alkis
      Georgopoulos! (LP: #1048207)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 10 Sep 2012 09:47:21 +0200

ubuntu-defaults-builder (0.36) quantal; urgency=low

  * bin/ubuntu-defaults-image: Allow dots in lp_username. Thanks Alkis
    Georgopoulos! (LP: #1048171)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 10 Sep 2012 08:07:58 +0200

ubuntu-defaults-builder (0.35) quantal; urgency=low

  [ Dylan McCall ]
  * Adding ubiquity-slideshow customization. (LP: #1035806).

  [ Dmitrijs Ledkovs ]
  * Specify source format "3.0 (native)"
  * Set DEBFULLNAME & DEBEMAIL for the test runner no avoid lintian errors.
  * test_ubiquity_slideshow: sort os.listdir before comparison

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 29 Aug 2012 09:05:16 +0100

ubuntu-defaults-builder (0.34) quantal; urgency=low

  * Revert misguided path changes in local binary hooks.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 24 Aug 2012 08:45:55 +0100

ubuntu-defaults-builder (0.33) quantal; urgency=low

  * bin/ubuntu-defaults-image: Clean up unnecessarily complicated
    installation of local hooks.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 23 Aug 2012 10:13:02 +0100

ubuntu-defaults-builder (0.32) quantal; urgency=low

  * bin/ubuntu-defaults-image: Adjust for live-build interface changes.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 22 Aug 2012 13:29:25 +0100

=== debian/control ===
--- 
+++ 
@@ -9,18 +9,20 @@
  lsb-release,
  lintian,
  desktop-file-utils,
+ libjson-perl,
 Standards-Version: 3.9.3
 
 Package: ubuntu-defaults-builder
 Architecture: all
 Depends: ${misc:Depends}, 
  ${perl:Depends},
+ libjson-perl,
  dpkg-dev,
  xkb-data,
  debhelper (>= 7.0.50~),
  lsb-release,
  unity-common,
- livecd-rootfs (>= 2.15),
+ livecd-rootfs (>= 2.75),
  desktop-file-utils,
 Recommends:
  syslinux-themes-ubuntu,

## ubuntu-defaults-builder 0.45

=== debian/changelog ===
ubuntu-defaults-builder (0.45) quantal-proposed; urgency=low

  * lib/language-support-hook: langpacks.txt's last line is not usually
    terminated with a CR. Always append a CR to it after cat'ing, to ensure
    that the read loop sees the last line. This fixes the ignoring of
    languages in i18n/langpacks.txt. (LP: #1070523)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 26 Oct 2012 08:22:11 +0200

## ubuntu-defaults-builder 0.47

=== debian/changelog ===
ubuntu-defaults-builder (0.47) raring; urgency=low

  [ Nobuto MURATA ]
  * Write the PPA apt line to just one file to avoid apt duplicate
    sources.list entries warning.  (LP: #1072115)

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 11 Dec 2012 16:11:09 -0500

ubuntu-defaults-builder (0.46) raring; urgency=low

  * Move the signed kernel to binary/casper/vmlinuz.efi, to fit within 8.3
    restrictions for isolinux.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 12 Nov 2012 15:39:39 +0000

## ubuntu-defaults-builder 0.47.1

=== debian/changelog ===
ubuntu-defaults-builder (0.47.1) raring; urgency=low

  * debian/control, template/debian/control: Bump Standards-Version to 3.9.4.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 02 Apr 2013 13:39:54 +0100

## ubuntu-defaults-builder 0.48

=== debian/changelog ===
ubuntu-defaults-builder (0.48) saucy; urgency=low

  * /bin/dh_ubuntu_defaults: Remove quotes from Firefox bookmarks titles.
    (LP: #1171811)

 -- Mantas Kriaučiūnas <mantas@akl.lt>  Tue, 21 May 2013 13:21:17 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  lintian,
  desktop-file-utils,
  libjson-perl,
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 
 Package: ubuntu-defaults-builder
 Architecture: all

=== template/debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: #MAINTAINER#
 Build-Depends: debhelper (>= 7.0.50~),
  ubuntu-defaults-builder
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 
 Package: #PKGNAME#
 Architecture: all

## ubuntu-defaults-builder 0.49

=== debian/changelog ===
ubuntu-defaults-builder (0.49) trusty; urgency=medium

  * debian/control, emplate/debian/control: Bump Standards-Version to 3.9.5.

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 16 Jan 2014 20:46:28 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  lintian,
  desktop-file-utils,
  libjson-perl,
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 
 Package: ubuntu-defaults-builder
 Architecture: all

=== template/debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: #MAINTAINER#
 Build-Depends: debhelper (>= 7.0.50~),
  ubuntu-defaults-builder
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 
 Package: #PKGNAME#
 Architecture: all

## ubuntu-defaults-builder 0.52

=== debian/changelog ===
ubuntu-defaults-builder (0.52) utopic; urgency=medium

  * Fix flavor option parsing

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 16 Oct 2014 12:07:30 +0200

ubuntu-defaults-builder (0.51) utopic; urgency=medium

  * Add an actual argument for flavor to ubuntu-defaults-image instead of
    hardcoding it. Changing the flavor is primarily useful to control the
    initial package seed of the image.

 -- Harald Sitter <apachelogger@kubuntu.org>  Fri, 10 Oct 2014 14:33:24 +0200

ubuntu-defaults-builder (0.50) utopic; urgency=medium

  * Allow ubuntu-defaults-image to accept multiple --ppa arguments to support
    PPAs depending on other PPAs

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 07 Oct 2014 13:58:50 +0200

## ubuntu-defaults-builder 0.53

=== debian/changelog ===
ubuntu-defaults-builder (0.53) vivid; urgency=medium

  * debian/control, emplate/debian/control: Bump Standards-Version to 3.9.6

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 06 Feb 2015 15:58:51 +0100

## ubuntu-defaults-builder 0.54

=== debian/changelog ===
ubuntu-defaults-builder (0.54) wily; urgency=medium

  * debhelper-scripts/postinst-ubuntu-defaults-desktop-session:
      desktop/default-session.txt works properly (LP: #1048226).

 -- Ikuya Awashiro <ikuya@fruitsbasket.info>  Mon, 29 Jun 2015 18:21:42 +0900

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  lintian,
  desktop-file-utils,
  libjson-perl,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 
 Package: ubuntu-defaults-builder
 Architecture: all

=== template/debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: #MAINTAINER#
 Build-Depends: debhelper (>= 7.0.50~),
  ubuntu-defaults-builder
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 
 Package: #PKGNAME#
 Architecture: all

=== template/debian/rules ===
#!/usr/bin/make -f

%:
	dh "$@"

override_dh_install:
	dh_install
	dh_ubuntu_defaults

## ubuntu-defaults-builder 0.55~16.04.2

=== Makefile ===
--- 
+++ 
@@ -8,6 +8,7 @@
 	install -m 755 bin/* $(DESTDIR)/usr/bin/
 	install -m 644 debhelper-scripts/* $(DESTDIR)/usr/share/debhelper/autoscripts/
 	cp -r template $(DESTDIR)/usr/share/ubuntu-defaults-builder/
+	cp -r lib/* $(DESTDIR)/usr/share/ubuntu-defaults-builder/
 	install -m 755 test/make-example $(DESTDIR)/usr/share/doc/ubuntu-defaults-builder/examples/
 	install -m 644 test/test.jpg $(DESTDIR)/usr/share/doc/ubuntu-defaults-builder/examples/

=== debian/changelog ===
ubuntu-defaults-builder (0.55~16.04.2) xenial-proposed; urgency=medium

  * SRU: LP: #1597370, fix build/test failures (set standards to 3.9.7).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 05 Jul 2016 15:43:17 +0200

ubuntu-defaults-builder (0.55) yakkety; urgency=medium

  * Bump Standards-Version to 3.9.8. Fixes test failures due to lintian
    warning.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 15 Jun 2016 09:21:10 +0300

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
  lintian,
  desktop-file-utils,
  libjson-perl,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 
 Package: ubuntu-defaults-builder
 Architecture: all
-Depends: ${misc:Depends}, 
+Depends: ${misc:Depends},
  ${perl:Depends},
  libjson-perl,
  dpkg-dev,

=== template/debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: #MAINTAINER#
 Build-Depends: debhelper (>= 7.0.50~),
  ubuntu-defaults-builder
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 
 Package: #PKGNAME#
 Architecture: all

## ubuntu-defaults-builder 0.55

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  lintian,
  desktop-file-utils,
  libjson-perl,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 
 Package: ubuntu-defaults-builder
 Architecture: all

=== template/debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: #MAINTAINER#
 Build-Depends: debhelper (>= 7.0.50~),
  ubuntu-defaults-builder
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 
 Package: #PKGNAME#
 Architecture: all

## ubuntu-defaults-builder 0.56~ja1

=== debian/changelog ===
ubuntu-defaults-builder (0.56~ja1) zesty; urgency=medium

  * debian/compat:
      Bump to 9.
  * bin/dh_ubuntu_defaults:
      refine for perl 5.24.

 -- Jun Kobayashi <jkbys@ubuntu.com>  Fri, 05 May 2017 15:16:15 +0900

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 9.0.0),
  python3,
  unity-common,
  xkb-data,
@@ -19,7 +19,7 @@
  libjson-perl,
  dpkg-dev,
  xkb-data,
- debhelper (>= 7.0.50~),
+ debhelper (>= 9.0.0),
  lsb-release,
  unity-common,
  livecd-rootfs (>= 2.75),

=== template/debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: metapackages
 Priority: optional
 Maintainer: #MAINTAINER#
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 9.0.0),
  ubuntu-defaults-builder
 Standards-Version: 3.9.8

## ubuntu-defaults-builder 0.57

=== debian/changelog ===
ubuntu-defaults-builder (0.57) artful; urgency=medium

  * Also update standards-version to 4.0.0, which is now also a lintian
    failure.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 23 Jun 2017 03:33:59 +0000

ubuntu-defaults-builder (0.56) artful; urgency=medium

  * Fix build failures due to deprecated perl syntax.
  * Bump debhelper compat to 10 for both this package and the package
    templating, fixing test failures due to deprecated debhelper level.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 22 Jun 2017 18:02:08 -0700

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 9.0.0),
+Build-Depends: debhelper (>= 10),
  python3,
  unity-common,
  xkb-data,
@@ -10,7 +10,7 @@
  lintian,
  desktop-file-utils,
  libjson-perl,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 
 Package: ubuntu-defaults-builder
 Architecture: all
@@ -19,7 +19,7 @@
  libjson-perl,
  dpkg-dev,
  xkb-data,
- debhelper (>= 9.0.0),
+ debhelper (>= 10),
  lsb-release,
  unity-common,
  livecd-rootfs (>= 2.75),

=== template/debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: metapackages
 Priority: optional
 Maintainer: #MAINTAINER#
-Build-Depends: debhelper (>= 9.0.0),
+Build-Depends: debhelper (>= 10),
  ubuntu-defaults-builder
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 
 Package: #PKGNAME#
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh "$@"

override_dh_auto_test:
	DEBFULLNAME="Ubuntu Developers" \
	DEBEMAIL="ubuntu-devel-discuss@lists.ubuntu.com" \
	NO_PKG_MANGLE=1 dh_auto_test
